%define	major	0

%define	libname	%mklibname %{name} %{major}
%define	libname_devel	%mklibname %{name} %{major} -d
%define perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)

Summary: GNOME DB
Name: 		gnome-db
Version:	0.2.96
Release:	19mdk
License: 	GPL
Group: 		Databases
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:    gnome-db_48.png
Source2:    gnome-db_32.png
Source3:    gnome-db_16.png
Patch0:		gnome-db-0.2.96-includes.patch.bz2
Patch1:		gnome-db-0.2.96-lib64.patch.bz2
# (fc) 0.2.96-14mdk fix OMF validation (Debian)
Patch2:		gnome-db-0.2.96-omffix.patch.bz2
# (gb) 0.2.96-19mdk stick to built-in libtool 1.4, with fixes
Patch3:		gnome-db-0.2.96-libtool.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	docbook-utils, docbook-dtd41-sgml
BuildRequires: 	bonobo-devel 
BuildRequires:	freetype2-devel
BuildRequires:	GConf-devel 
BuildRequires:	gettext
BuildRequires:	libgda-devel >= 0.2.93
BuildRequires:	mawk
BuildRequires:	perl-devel
BuildRequires:	scrollkeeper
BuildRequires:	sgml-tools
Requires:   perl-base = %{perl_version}
PreReq:		scrollkeeper
URL: 		http://www.gnome.org/projects/gnome-db/

%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the core components of GNOME-DB.

%package -n %{libname}
Summary: GNOME DB libraries
Group: 		System/Libraries
Provides:	lib%{name} = %{version}

%description -n %{libname}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.


%package -n %{libname_devel}
Summary: GNOME DB Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Requires:	libgda-devel >= 0.2.91
Requires:	libbonobo-devel
Requires:	gnome-libs-devel
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes:	%{name}-devel

%description -n %{libname_devel}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains libraries, header files and tools to let
you develop GNOME-DB applications.

%prep
%setup -q
%patch0 -p1 -b .includes
%patch1 -p1 -b .lib64
%patch2 -p1 -b .omffix
%patch3 -p1 -b .libtool
autoconf

%build

%configure 

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall DOC_DIR=$RPM_BUILD_ROOT%{_datadir}/gnome/html

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gnomedb-config

mkdir -p $RPM_BUILD_ROOT%{_menudir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/gnomedb-fe" icon="gnome-db.png" \
 needs="X11" section="More Applications/Databases" title="GNOME-DB frontend" \
 longtitle="Gnome-DB frontend application"
EOF

cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/gnome-db.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/gnome-db.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/gnome-db.png

%{find_lang} %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update || true ; fi
%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update || true ; fi
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
							  
%postun -n %{libname} -p /sbin/ldconfig
							  
%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog README 
%{_bindir}/gnomedb-components
%{_bindir}/gnomedb-fe
%{_bindir}/gnomedb-mgr
%{_libdir}/bonobo/monikers/*.so*
%{_datadir}/gnome/apps/Applications/gnomedb-fe.desktop
%{_datadir}/gnome/ui/*

%{_datadir}/pixmaps/*
%{_datadir}/oaf/GNOME_DB_Export.oaf
%{_datadir}/oaf/GNOME_DB_Manager.oaf
%{_datadir}/oaf/GNOME_DB_Monikers.oaf
%{_datadir}/oaf/GNOME_DB_Designer.oaf
%{_datadir}/oaf/GNOME_DB_Connection.oaf
%{_datadir}/oaf/GNOME_DB_ComponentFactory.oaf
%{_datadir}/oaf/GNOME_DB_Log.oaf
%{_datadir}/omf/*

%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgnomedb.so.*

%files -n %{libname_devel}
%defattr(-, root, root)
%doc %{_datadir}/gnome/html/libgnomedb*

%{_bindir}/gnomedb-config
%multiarch %{multiarch_bindir}/gnomedb-config
%{_bindir}/gnomedb-builder
%{_libdir}/lib*.so
%{_libdir}/libgnomedb.*a
%{_libdir}/bonobo/monikers/*a
%{_includedir}/libgnomedb-%{version}
%{_datadir}/idl/*
%{_datadir}/oaf/GNOME_DB_Builder.oaf

%changelog
* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-19mdk
- stick to built-in libtool 1.4, with fixes

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-18mdk 
- multiarch

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.2.96-17mdk
- Rebuild for new perl

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-16mdk
- Fix build

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-15mdk
- Fix menu

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-14mdk
- Patch2 (Debian): fix OMF validation
- Rebuild for new perl
- Use png icons
- Build devel doc

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-13mdk
- Fix build when gtk-doc isn't installed on the system

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 0.2.96-12mdk 
- rebuild for latest perl
- clean some BuildRequires

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-11mdk
- rebuild for latest perl

* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.96-10mdk
- fix install path for docs

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-9mdk
- fix deps

* Wed Jul 30 2003 Pixel <pixel@mandrakesoft.com> 0.2.96-8mdk
- when requiring the perl-base used for building, include the epoch

* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.96-7mdk
- use %%mklibname
- fix unpackaged files

* Thu Oct 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-6mdk
- Patch1: Don't explicitly -L/usr/lib. This undoubtedly break lib64 arches
- Patch0: Add missing includes. Besides making it more ISO C
  compliant, we get correct prototypes especially those for variadic fns

* Sat Aug 17 2002 Pixel <pixel@mandrakesoft.com> 0.2.96-5mdk
- rebuild for perl thread-multi

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-4mdk
- Regenerate configure script with appropriate libtool.m4 for new arches

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 0.2.96-3mdk
- rebuild for perl 5.8.0

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-1mdk
- Release 0.2.96
- Disable parallel compilation

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.95-1mdk
- Release 0.2.95

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-4mdk
- BuildRequires

* Mon Dec 31 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-3mdk
- fix BuildRequires

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-2mdk
- Fix reference directory in .la files
- Use makeinstall_std macro

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-1mdk
- Release 0.2.93
- Remove patch0 (merged upstream)
- Move monikers to main package

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.91-1mdk
- Release 0.2.91
- Remove patch1 (merged upstream)
- Add scrollkeeper support

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.2.10-3mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-2mdk
- fix menu entry
- Recompiled to really remove dependency on gtkhtml

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10
- Update BuildRequires
- Patch1 : fix gnome-print detection

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Recompiled against latest gtkhtml

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3
- Create menu entry
- Recompiled against latest gal
- Add missing files from tarball
- add locales

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libification
- Patch 0 to compile with latest bonobo

* Fri Aug 11 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
